For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chat Completions

Create Chat Completion

post
/chat/completions

Create a chat completion with OpenAI-compatible format

Authorizations
AuthorizationstringRequired

Enter your bearer token in the format 'your-token' (without quotes or 'Bearer' prefix)

Body
workspacestringOptionalDefault: default
modelstringOptionalDefault: activeloop-l0
temperaturenumber · nullableOptionalDefault: 1
top_pnumber · nullableOptionalDefault: 1
ninteger · nullableOptionalDefault: 1
streamboolean · nullableOptionalDefault: false
max_tokensinteger · nullableOptional
max_completion_tokensinteger · nullableOptional
presence_penaltynumber · nullableOptionalDefault: 0
frequency_penaltynumber · nullableOptionalDefault: 0
logprobsboolean · nullableOptionalDefault: false
top_logprobsinteger · nullableOptional
stopany of · nullableOptional
stringOptional
or
string[]Optional
seedinteger · nullableOptional
userstring · nullableOptional
storeboolean · nullableOptionalDefault: false
modalitiesstring[] · nullableOptional
service_tierstring · nullableOptional
reasoning_effortstring · enum · nullableOptionalPossible values:
Responses
200

Successful Response

application/json
anyOptional
post/chat/completions

No content

Get Chat Completion Messages

get
/chat/completions/{completion_id}/messages

Get messages for a chat completion

Authorizations
AuthorizationstringRequired

Enter your bearer token in the format 'your-token' (without quotes or 'Bearer' prefix)

Path parameters
completion_idstringRequired

The ID of the chat completion

Query parameters
workspacestringOptional

The ID of workspace to lookup chat completion messages in

Default: default
afterstring · nullableOptional

Identifier for the last message from the previous pagination request

limitinteger · min: 1 · max: 100Optional

Number of messages to retrieve

Default: 20
orderstringOptional

Sort order for messages by timestamp

Default: asc
Responses
200

Successful Response

application/json
objectstringOptionalDefault: list
first_idstring · nullableOptional
last_idstring · nullableOptional
has_morebooleanOptionalDefault: false
get/chat/completions/{completion_id}/messages

List Completions

get
/chat/completions

List stored Chat Completions

Authorizations
AuthorizationstringRequired

Enter your bearer token in the format 'your-token' (without quotes or 'Bearer' prefix)

Query parameters
workspacestringOptional

The ID of workspace to lookup chat completions in

Default: default
afterstring · nullableOptional

Identifier for the last chat completion from the previous pagination request

limitinteger · min: 1 · max: 100Optional

Number of Chat Completions to retrieve

Default: 20
orderstring · enumOptional

Sort order for Chat Completions by timestamp

Default: ascPossible values:
modelstring · nullableOptional

Filter by model

Responses
200

Successful Response

application/json
objectstringOptionalDefault: list
first_idstring · nullableOptional
last_idstring · nullableOptional
has_morebooleanOptionalDefault: false
get/chat/completions

Get Chat Completion

get
/chat/completions/{completion_id}

Get a stored chat completion

Authorizations
AuthorizationstringRequired

Enter your bearer token in the format 'your-token' (without quotes or 'Bearer' prefix)

Path parameters
completion_idstringRequired

The ID of the chat completion to retrieve

Query parameters
workspacestringOptional

The ID of workspace to lookup chat completion in

Default: default
Responses
200

Successful Response

application/json
idstringOptional
objectstringOptionalDefault: chat.completion
createdintegerOptional
modelstringRequired
system_fingerprintstring · nullableOptional
service_tierstring · nullableOptional
request_idstring · nullableOptional
seedinteger · nullableOptional
top_pnumber · nullableOptional
temperaturenumber · nullableOptional
presence_penaltynumber · nullableOptional
frequency_penaltynumber · nullableOptional
input_userstring · nullableOptional
get/chat/completions/{completion_id}

Update Chat Completion

post
/chat/completions/{completion_id}

Update metadata for a chat completion

Authorizations
AuthorizationstringRequired

Enter your bearer token in the format 'your-token' (without quotes or 'Bearer' prefix)

Path parameters
completion_idstringRequired

The ID of the chat completion to update

Query parameters
workspacestringOptional

The ID of workspace to update chat completion in

Default: default
Body
Other propertiesstringOptional
Responses
200

Successful Response

application/json
idstringOptional
objectstringOptionalDefault: chat.completion
createdintegerOptional
modelstringRequired
system_fingerprintstring · nullableOptional
service_tierstring · nullableOptional
request_idstring · nullableOptional
seedinteger · nullableOptional
top_pnumber · nullableOptional
temperaturenumber · nullableOptional
presence_penaltynumber · nullableOptional
frequency_penaltynumber · nullableOptional
input_userstring · nullableOptional
post/chat/completions/{completion_id}

Get Chat Completion Messages

get
/chat/completions/{completion_id}/messages

Get messages for a chat completion

Authorizations
AuthorizationstringRequired

Enter your bearer token in the format 'your-token' (without quotes or 'Bearer' prefix)

Path parameters
completion_idstringRequired

The ID of the chat completion

Query parameters
workspacestringOptional

The ID of workspace to lookup chat completion messages in

Default: default
afterstring · nullableOptional

Identifier for the last message from the previous pagination request

limitinteger · min: 1 · max: 100Optional

Number of messages to retrieve

Default: 20
orderstringOptional

Sort order for messages by timestamp

Default: asc
Responses
200

Successful Response

application/json
objectstringOptionalDefault: list
first_idstring · nullableOptional
last_idstring · nullableOptional
has_morebooleanOptionalDefault: false
get/chat/completions/{completion_id}/messages

Delete Chat Completion

delete
/chat/completions/{completion_id}

Delete a chat completion

Authorizations
AuthorizationstringRequired

Enter your bearer token in the format 'your-token' (without quotes or 'Bearer' prefix)

Path parameters
completion_idstringRequired

The ID of the chat completion to delete

Query parameters
workspacestringOptional

The ID of workspace to delete chat completion in

Default: default
Responses
200

Successful Response

application/json
idstringRequired
objectstringOptionalDefault: chat.completion.deleted
deletedbooleanOptionalDefault: true
delete/chat/completions/{completion_id}

Last updated